# $Revision: 1.33 $, $Date: 2008-01-08 18:56:56 $
%include	/usr/lib/rpm/macros.perl
Summary:	Namazu - a full-text search engine
Summary(pl.UTF-8):	Namazu - silnik pełnotekstowego przeszukiwania
Name:		namazu
Version:	2.0.13
Release:	5
License:	GPL
Group:		Applications/Text
Source0:	http://www.namazu.org/stable/%{name}-%{version}-1.tar.gz
# Source0-md5:	335ef8f4faecae4a30954f50af356ac0
Source1:	http://mm.tkikuchi.net/pipermail.pl
# Source1-md5:	d49f69f964d193a7aeb2cf11edf63a69
Patch0:		%{name}-linguas.patch
Patch1:		%{name}-newgettext3.patch
Patch2:		%{name}-emailaddress.patch
Patch3:		%{name}-fixinutf8.patch
Patch4:		%{name}-de.patch
URL:		http://www.namazu.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	perl-File-MMagic >= 1.12
BuildRequires:	perl-NKF >= 1.71
BuildRequires:	perl-Text-ChaSen >= 1.03
BuildRequires:	perl-Text-Kakasi >= 1.00
BuildRequires:	perl-modules >= 5.6.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	kakasi >= 2.3.0
Requires:	perl-File-MMagic >= 1.12
Requires:	perl-NKF >= 1.71
Requires:	perl-Text-ChaSen >= 1.03
Requires:	perl-Text-Kakasi >= 1.00
Requires:	perl-modules >= 5.6.0
Conflicts:	mknmz-wwwoffle = 0.7.2-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# XXX is this right - it was /var/lib before FHS macros
%define		_localstatedir	/var/lib
%define		_cgidir		%{_libexecdir}/%{name}

%description
Namazu is a full-text search engine software intended for easy use.
Not only it works as CGI program for small or medium scale WWW search
engine, but also works as personal use such as search system for local
HDD.

%description -l pl.UTF-8
Namazu to silnik pełnotekstowego przeszukiwania zrobiony z myślą o
łatwym użytkowaniu. Działa nie tylko jako program CGI dla małych i
średnich wyszukiwarek WWW, ale także jako prywatny system
przeszukiwania dla lokalnego dysku.

%package devel
Summary:	Header files for Namazu
Summary(pl.UTF-8):	Pliki nagłówkowe Namazu
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Namazu.

%description devel -l pl.UTF-8
Pliki nagłówkowe Namazu.

%package static
Summary:	Static Namazu library
Summary(pl.UTF-8):	Statyczna biblioteka Namazu
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Namazu library.

%description static -l pl.UTF-8
Statyczna biblioteka Namazu.

%package cgi
Summary:	A CGI interface for Namazu
Summary(pl.UTF-8):	Interfejs CGI do Namazu
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}

%description cgi
A CGI interface for Namazu.

%description cgi -l pl.UTF-8
Interfejs CGI do Namazu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -rf File-MMagic
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libexecdir}/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/filter/pipermail.pl

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/namazu/namazurc-sample \
	$RPM_BUILD_ROOT%{_sysconfdir}/namazu/namazurc
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/namazu/mknmzrc-sample \
	$RPM_BUILD_ROOT%{_sysconfdir}/namazu/mknmzrc

mv -f $RPM_BUILD_ROOT%{_libexecdir}/%{name}.cgi \
	$RPM_BUILD_ROOT%{_libexecdir}/%{name}/%{name}.cgi

install -d html
mv -f $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/* html/
rm -fr $RPM_BUILD_ROOT%{_datadir}/%{name}/etc

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog* NEWS README THANKS TODO
%doc etc/namazu.png html
%lang(es) %doc README-es
%lang(ja) %doc README-ja
%attr(755,root,root) %{_bindir}/namazu
%attr(755,root,root) %{_bindir}/bnamazu
%attr(755,root,root) %{_bindir}/*nmz
%attr(755,root,root) %{_bindir}/mailutime
%attr(755,root,root) %{_bindir}/nmzgrep
%attr(755,root,root) %{_bindir}/nmzmerge
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnmz.so.7
%dir %{_sysconfdir}/namazu
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/namazu/namazurc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/namazu/mknmzrc
%{_mandir}/man1/*
%dir %{_datadir}/namazu
%{_datadir}/namazu/filter
%{_datadir}/namazu/pl
%{_datadir}/namazu/template
%dir %{_localstatedir}/namazu
%dir %{_localstatedir}/namazu/index

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nmz-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/namazu

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files cgi
%defattr(644,root,root,755)
%attr(755,root,root) %{_cgidir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: namazu.spec,v $
Revision 1.33  2008-01-08 18:56:56  zbyniu
- ghost lib symlink; newgettext3.patch updated; rel 5

Revision 1.32  2007-06-10 15:40:37  arekm
- rel 4

Revision 1.31  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.29  2006/09/11 20:44:32  darekr
- strict deps

Revision 1.28  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.27  2005/03/30 20:30:52  saq
- defattr unification

Revision 1.26  2004/06/26 20:24:07  arekm
- include pipermail filter

Revision 1.25  2004/06/26 19:40:39  arekm
- remove included file

Revision 1.24  2004/06/26 19:29:15  arekm
- de fixed

Revision 1.23  2004/06/26 18:41:39  arekm
- rel 3; better fix for UTF-8 handling

Revision 1.22  2004/06/20 12:07:24  arekm
rel 2; do not blow db

Revision 1.21  2004/05/20 23:46:01  arekm
- updated to 2.0.13

Revision 1.20  2004/05/13 17:17:35  ankry
- spaces -> tabs, other cosmetics

Revision 1.19  2003/09/22 09:21:54  twittner
- Release 4: fixed syntax in Conflicts field.

Revision 1.18  2003/09/21 20:59:32  twittner
- Release 3: added conflicts to broken mknmz-wwwoffle-0.7.2-1,
  which breaks namazu.

Revision 1.17  2003/09/13 13:50:56  blues
- release 2 - renamed patches

Revision 1.16  2003/09/06 12:49:54  blues
- cosmetics

Revision 1.15  2003/09/06 01:14:31  twittner
- removed outdated TODO, chmod a+rw ... .

Revision 1.14  2003/09/05 02:03:43  twittner
- moved HTML documentation from /usr/share/namazu/doc/*
  to /usr/share/doc/namazu-ver/html/
- added index.html files for HTML documentation
  by namazu-htmldoc.patch
- removed duplicateded files from RPM_BUILD_ROOT
  to avoid msg: "rpm found unpackaged files ..."

Revision 1.13  2003/09/04 03:00:33  twittner
- added patch, which removes potential builder e-mail to avoid spam.

Revision 1.12  2003/09/03 20:09:19  twittner
- fix my mistake in BR/R

Revision 1.11  2003/09/02 22:47:21  twittner
- removed _noautoreq perl(Text::ChaSen),
  finally we made missing specs.
- added and fixed BR & R in accordance with
  http://www.namazu.org/doc/tutorial.html#prep-make
- removed Req. webserver, fixed namazu.cgi attr,
  moved it to /usr/lib/namazu/namazu.cgi
  NOTE: you may use namazu.cgi f.e. with WWWOFFLE
  and you don't need webserver at all for this.
- added TODO about e-mail address in templates

Revision 1.10  2003/08/31 17:20:24  radek
- _noautoreq perl(Text::ChaSen)

Revision 1.9  2003/08/27 12:55:32  qboosh
- added patch with pl translation by Tomasz Wittner and Krzysztof Drewicz

Revision 1.8  2003/08/26 13:59:29  qboosh
- 2.0.12

Revision 1.7  2003/08/26 13:47:25  qboosh
- cleanups, use DESTDIR, separated -static

Revision 1.6  2003/08/02 23:32:25  qboosh
- use __autoconf macro, missing dirs

Revision 1.5  2003/05/28 12:59:50  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:50:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/12/07 19:25:41  orzech
- /home -> /home/services

Revision 1.2  2002/07/14 22:25:43  qboosh
- pl descriptions, cosmetics, BR: autoconf

Revision 1.1  2002/07/13 17:34:38  hunter
--initial pld release
--specfile from http://www.namazu.org

* Thu Dec 27 2001 Ryuji Abe <rug@namazu.org> 2.0.10-1
- update to 2.0.10
- use %license instead of %copyright

* Fri Nov 30 2001 Ryuji Abe <rug@namazu.org> 2.0.9-1
- update to 2.0.9

* Tue Nov 27 2001 Ryuji Abe <rug@namazu.org> 2.0.8-1
- update to 2.0.8

* Fri Sep 14 2001 Ryuji Abe <rug@namazu.org> 2.0.7-1
- fix newgettext patch again.

* Tue Sep 11 2001 Ryuji Abe <rug@namazu.org> 2.0.6-2
- fix newgettext patch.

* Mon Aug 13 2001 Ryuji Abe <rug@namazu.org> 2.0.6-1
- update to 2.0.6

* Thu Jul 26 2001 Ryuji Abe <rug@namazu.org>
- fix %files

* Sat Jun 23 2001 Ryuji Abe <rug@namazu.org>
- fix summary and %description

* Thu May 31 2001 Ryuji Abe <rug@namazu.org>
- fix %files
- fix again cgi-bin location to /var/www/cgi-bin

* Mon May 28 2001 Ryuji Abe <rug@namazu.org>
- clean up spec file
- more macros
- provide cgi package
- fix cgi-bin location /home/httpd/cgi-bin to /var/www/namazu-cgi-bin

* Wed Mar 21 2001 Ryuji Abe <rug@namazu.org>
- Rebuilt for 7.1 beta
- more macros
- fix dependencies
- exclude unnecessary ja_JP.SJIS catalog.

* Thu Oct 26 2000 Ryuji Abe <rug@namazu.org>
- Requires perl-File-MMagic >= 1.09.
- Add BuildRequires.

* Tue Aug 22 2000 Ryuji Abe <rug@namazu.org>
- Fixed %localstatedir /var to /var/lib.

* Tue Apr 25 2000 Ryuji Abe <rug@namazu.org>
- Ignore %{prefix}/share/namazu/etc.

* Sun Feb 20 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Install namazu.cgi at /home/httpd/cgi-bin.
- Fixed typo.

* Sat Feb 19 2000 Satoru Takabayashi <satoru-t@is.aist-nara.ac.jp>
- Change URL.

* Tue Feb 15 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Delete package entries elisp and cgi.

* Wed Feb 02 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Adapted for namazu-current.
- Changed group Utilities/Text -> Applications/Text.

* Thu Dec 30 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- rpm-3.0.x adaptations.
- Added package entries elisp and cgi (currently comment out).
  [Merged SAKA Toshihide's changes for Kondara MNU/Linux.]

* Mon Nov 08 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Changed includedir %{prefix}/include/namazu.
- Bug fix at configure section.

* Thu Nov 04 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Added nmz-config in devel package.

* Wed Nov 03 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Use our definite macros, ver, rel, prefix, sysconfdir, and localstatedir.
- If configure not found, use autogen.sh.
- Optimized for SMP environment.
- Build devel package.

* Tue Oct 12 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Fixed correctly executables entry at %files.
- Added missing /usr/share/locale entry at %files.

* Thu Aug 26 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Requires perl >= 5.004.
- Delete Packager tag.
- Clean up at %prep.
- Use CFLAGS="$RPM_OPT_FLAGS" at %build.
- Use $RPM_BUILD_ROOT variables at %install.
- Change configure option at %build and %files for new namazu directory structure.

* Sun May 23 1999 Taku Kudoh <taku@TAHOO.ORG>
-
